RSS

 Seguime por RSS

12 feb. 2013

Postinstaller ó PostinstallerF - Puede romper tu sistema

Si bien existe desde hace bastante, creo que desde Fedora 15, ultimamente se popularizó el uso de Postinstaller para Fedora, incluso, algunos blog que se dicen ser "serios" lo recomiendan.
Hace unos dias que vengo viendo gente hablar sobre el tema en los IRC, foros y blog, Postinstaller.
Muchos dicen que es un backdoor, otros que contiene exploit, que algun anti-rootkit lo detecta, etc.
La realidad es que son varios script en Bash, y no contiene ningún exploit.
Lo que si he visto, es que está mal programado, agrega repositorios como fedora-russian (cuando en Fedora NO se usan sino en CentOS o SL), que solo son necesarios o vitales en RHEL o clones.
Además de ejecutar yum de forma incorrecta, he aquí un pedazo de codigo:

# ACTUALIZANDO EL SISTEMA

if [ $(echo $LANG | cut -b1-2) = "es" ]; then
yum -y update --skip-broken | pv -n 2>&1 | yad --class="Actualizando" --window-icon="/usr/share/icons/acciones/topicon.png" --image="/usr/share/icons/updatep2.png" --image-on-top --progress --title "Actualizando el Sistema" --text="Por favor espere...." --pulsate --auto-close --width=350
else

Está mas que claro, que hacer yum -y update --skip-broken esta pésimo.
Para los que digan "yo lo usé y anda bien", bueno, o tuvieron suerte o no la tuvieron y aun no lo saben.

El parametro -y de yum es aceptar TODO sin chistar, con lo cual, si ni siquiera ven que se va a instalar o actualizar, encima el script se los hace aceptar al ejecutarlo, luego, como sabrán si algo salio mal, que fue lo que salio mal?.

El parametro --skip-broken es para dependencias rotas, a ver, y esto lo digo al que hizo el Postinstaller, "Kuboosoft". --skip-broken se usa SOLO en terminal, mirando que sucede y en casos que realmente haya pasado algo extraño y hay que saber QUE pasó, no hacer skip solo porque si!, porque el pelotudo que hizo el script no sabe leer la salida stdin, stdout, stderr y segun eso informar "falló tal cosa", que sería lo correcto, entonces les hace usar --skip-broken.

Si quieren hacer todo como root, ok, si quieren usar su -c "comando", esta bien, si quieren usar sudo, esta bien, pero no usen ese script llamado postinstaller, porque por mas que tenga un log, y si falla el log?, como saben que pasó?.

Además, el espiritu de Fedora no es ese.... ese es de Ubuntu... hacer todo con un script, no caigan en esa estupidez por favor.

PS:

Me cansé de ver comentarios PE-LO-TU-DOS en este post, defendiendo la porquería de postinstaller o bien defendiendo el estilo Ubuntero.
Miren señores, para los ignorantes que comentaron, ya se que el codigo no se compila, nunca dije compilado, sino script, cualquier pelotudo sabe que un script no se compila.
A mi no me ha roto nada, yo no uso programas tontos, sino las cosas que corresponden o me las ingenio, hago mis programas, no uso sandeces de terceros mal hechas. Pero he visto usuarios con el sistema jodido por usar scripts como postinstaller, incluso el postinstaller mismo, si ustedes no dan soporte a los usuarios de Fedora, entonces mentanse la lengua en el lugar mas oscuro y humedo de su cuerpo.

6 comentarios:

  1. Supongo que el programa esta más enfocado a los que prueban distribuciones y no quieren tirarse dos horas configurando cosas después de estar otras dos instalando para mirar un rato que tal esta la distro, porque yo no le vería mucho sentido a instalar un programa que te ayuda a instalar otros programas, aparte de un entorno gráfico para yum o deb...

    ResponderEliminar
    Respuestas
    1. De hecho, segun lei en su blog... está enfocado a los usuarios nuevos de Fedora que quieren tener todo a la primera si leer ni tocar nada. Lo cual está pésimo, no es el lema de Fedora, además de que claro, como comento, eso de yum -y update --skip-broken puede romper cosas que nunca sabrás cuales fueron asi que no podes volver atrás, y si encima, como usuario nuevo, no sabés mirar el log de yum para hacer un downgrade, peor todavía. Cosa que al menos yo hubiera puesto en ese script, que tras terminar muestre el log de lo que se hizo, pero bueno....

      Mira haciendo todo en una sola linea, update, repos, etc, no lleva dos horas, sino una linea separada por ; o bien &&, y al menos ves que sucede.

      Usando el gestor de YUM en gnome o KDE que se llama Apper, las updates son graficas y simples, agregar los repos, es cuestion de abrir la consola e instalar los .rpm de 2 repos, rpmfusion free y non free, no es taaaaaaan complicado.

      Eliminar
  2. ¡pruebas de que puede romper tu sistema! usted no tiene ninguna prueba, el codigo fuente esta a disposicion de todos, no sea mediocre lea y aprenda. El yum -y update --skip-broken es para usuarios que tienen un desastre en su sistema y actualice los paquetes que no tienen conflicto, sin embargo segun encontre en la opcion configure/tuning hay una opcion de actualizacion mas completa que puede resolver el 50% de los problemas. Por un error que usted haya tenido no culpe al programa sino culpese usted que no sabe lo que hace...

    Cuando usted habla de repositorios, necesita un poco de orientacion, rpmfusion tambien funciona con CentOS y RedHat y
    Russian Fedora (http://rpmfusion.org/FedoraThirdPartyRepos) es un repositorio 100% compatible con fedora.

    Cuando habla de que postinstallerf es un "backdoor, otros que contiene exploit, que algun anti-rootkit lo detecta, etc". si no no existiria el codigo fuente... escriba con fundamentos, Fedora Utils funciona de forma similar y usted no lo sabe...

    Usted utiliza el flash plugin, Google Chrome quien le asegura a usted que no contenga un backdoor? tiene acceso al codigo fuente?



    Codigo fuente de PostInstallerF: http://sourceforge.net/projects/postinstaller/files/srpm/postinstallerf-1.0.1-1.fc18.src.rpm

    ResponderEliminar
    Respuestas
    1. Veo que no leyó la entrada señor anonimo.

      1.- De hecho publiqué una parte del codigo fuente, y justamente lo que muestro es que usa yum -y update --skip-broken, lo cual señor, si usted mismo pregunta en #fedora de irc.freenode.net, los OP le van a decir, que hacer eso es romper su sistema, por obvias razones.

      2.- "El yum -y update --skip-broken es para usuarios que tienen un desastre en su sistema y actualice los paquetes que no tienen conflicto". Justamente, entonces postinstaller?, no deberia llamarse "systembroken.sh" ??. Sin embargo lo ofrecen como un post instalacion de Fedora, usted cae en su error, sus palabras lo condenan al error que comete ese script.

      3.- Cual es la famosa opcion de tuning?, comentela si tanto sabe, instruyame!.

      4.- Yo nunca dije que rpmfusion no funcionara con CentOS, de hecho es usado. Lo que dije es que fedora russian no es necesario para Fedora, si para CentOS, de nuevo, usted leyo el post?.

      5.- cito "Cuando habla de que postinstallerf es un "backdoor, otros que contiene exploit, que algun anti-rootkit lo detecta, etc". si no no existiria el codigo fuente... escriba con fundamentos, Fedora Utils funciona de forma similar y usted no lo sabe...". Justamente lo que dije es que muchos dicen que es un exploit o backdoor en los canales de Fedora, yo revise el codigo y no lo es, entonces, reitero, leyó el post o solo lo mandaron a trollear?.

      6.- Chrome no utilizo, solo un 1%, mayormente uso otros navegadores. Flashplugin casi no uso, sino gnash.

      7.- Eso no es el codigo fuente, es un rpm, hay muchos que no saben pasar un rpm a fuente, pero en este mismo blog se explica como pasar de un rpm a fuente, asi que veanlo los que lean.

      No voy a copy pastear el post de nuevo aca, es estupido, como su comentario, que comenta y comenta sin leer.

      El día que haga comentarios inteligentes, vuelva, sino, quedese por donde anda señor anonimo.

      Finalizo repitiendo solo una parte, para que se evidencie de que usted comenta sin leer, cito mi post:

      "Muchos dicen que es un backdoor, otros que contiene exploit, que algun anti-rootkit lo detecta, etc.
      La realidad es que son varios script en Bash, y no contiene ningún exploit."

      Eliminar
  3. Abra los comentarios, no sea cobarde, cual es su miedo? usted quiere tener la razon y no la tiene, el programa ese solo se encarga de la post instalacion, si usted ha hecho mierda el sistema, el programa no tiene la obligacion de repararle el sistema, deje de llorar... porque no le manda sus sugerencias o aporta algo? cree usted que haciendo estas entradas ridiculas e inmaduras va resolver algo?, no vine a defender a nadie, pero usted se contradice, critica un programa que no conoce sus funciones... es lo mas estupido que hace...

    ResponderEliminar
    Respuestas
    1. @Fedoriano real:

      Usted no me va a decir a mi como manejar mi blog. Con comentarios de este tono, es el último que le publico, si quiere tener una platica/discusion conmigo, me envia al mail los comentarios, que es nombredelblog@gmail.com.

      Conozco el programa y sus funciones, a mi no me ha roto nada porque no uso esas mierdas, pero he visto usuarios nuevos usando esas mierdas rompiendo el sistema. Si usted no brinda soporte en ningún lado sobre Fedora, mejor cierre el upite.

      Los comentarios son moderados como en todo blog, no me interesan los troll o peleas estupidas, por eso le advierto, es el último comentario de tono personal que le publico, acepto sus criticas y si quiere lo charlamos un dia entero, pero via mail o por IRC.

      Eliminar